[arch-commits] Commit in python-sympy/repos (2 files)
Felix Yan
felixonmars at archlinux.org
Sat Jul 14 02:59:19 UTC 2018
Date: Saturday, July 14, 2018 @ 02:59:18
Author: felixonmars
Revision: 358843
archrelease: copy trunk to community-staging-any
Added:
python-sympy/repos/community-staging-any/
python-sympy/repos/community-staging-any/PKGBUILD
(from rev 358842, python-sympy/trunk/PKGBUILD)
----------+
PKGBUILD | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 65 insertions(+)
Copied: python-sympy/repos/community-staging-any/PKGBUILD (from rev 358842, python-sympy/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD (rev 0)
+++ community-staging-any/PKGBUILD 2018-07-14 02:59:18 UTC (rev 358843)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Peter Garceau <RockyChimp at gmail.com>
+
+pkgbase=python-sympy
+pkgname=('python-sympy' 'python2-sympy')
+pkgver=1.2
+pkgrel=1
+arch=('any')
+pkgdesc='Symbolic manipulation package (Computer Algebra System), written in pure Python'
+url='http://sympy.org/en/index.html'
+license=('BSD')
+makedepends=('python2-mpmath' 'python-mpmath' 'python-setuptools' 'python2-setuptools')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/sympy/sympy/archive/sympy-$pkgver.tar.gz")
+sha512sums=('e9b1089d6bc897436b1888d1a21324b5086c19cbf7d857514688e25b1a3c7fcf7c36a2ae9a7121d88acf73b6cb66e97c5591fe3e575089b41138a21086286328')
+
+prepare() {
+ cp -a sympy-sympy-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/sympy-sympy-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/sympy-sympy-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/sympy-sympy-$pkgver
+ python setup.py test || warning "Tests failed"
+
+ cd "$srcdir"/sympy-sympy-$pkgver-py2
+ python2 setup.py test || warning "Tests failed"
+}
+
+package_python-sympy() {
+ depends=('python-mpmath')
+ optdepends=('ipython: user friendly interface for isympy')
+
+ cd sympy-sympy-$pkgver
+
+ python setup.py install --root "$pkgdir" --optimize=1
+
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-sympy() {
+ depends=('python2-mpmath')
+ optdepends=('python2-pyglet: plotting'
+ 'ipython2: user friendly interface for isympy')
+
+ cd sympy-sympy-$pkgver-py2
+
+ python2 setup.py install --root "$pkgdir" --optimize=1
+
+ # rename files that exists in both 'python-sympy' and 'python2-sympy'
+ mv "$pkgdir"/usr/bin/isympy{,2}
+ mv "$pkgdir"/usr/share/man/man1/isympy{,2}.1
+
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list